Bug 3845 - New list of valid categories needs to be added to Application Manager and localized
: New list of valid categories needs to be added to Application Manager and loc...
Status: RESOLVED FIXED
Product: Settings and Maintenance
Application manager
: 4.1.2 (4.2008.36-5)
: All All
: Medium enhancement with 1 vote (vote)
: 5.0 (1.2009.41-10)
Assigned To: Andrey Kochanov
: application-manager-bugs
: http://wiki.maemo.org/Task:Package_ca...
:
:
: 1805 3844
  Show dependency tree
 
Reported: 2008-11-04 18:59 UTC by Ryan Abel
Modified: 2009-09-28 09:44 UTC (History)
7 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Abel (reporter) maemo.org 2008-11-04 18:59:03 UTC
The new list of valid categories needs to be added to the Application Manager
(so it knows which categories are invalid to be sorted into Other) and
localized.

http://wiki.maemo.org/Task:Package_categories

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US)
AppleWebKit/525.18 (KHTML, like Gecko, Safari/525.20) OmniWeb/v622.3.0.105198
Comment 1 Quim Gil nokia 2008-11-10 09:10:06 UTC
Andrei is the architect responsible of organizing the package categories in
Fremantle.
Comment 2 Ryan Abel (reporter) maemo.org 2008-11-10 16:10:58 UTC
(In reply to comment #1)
> Andrei is the architect responsible of organizing the package categories in
> Fremantle.
> 

This isn't really the Fremantle list. This is the Diablo list that needs to be
shipped ASAP. Waiting for Fremantle to fix this is unacceptable.
Comment 3 Andrew Flegg maemo.org 2008-11-10 16:33:30 UTC
Certainly, this needs to be in place *before* the fremantle release to ensure
that all developers' packages appear correctly.
Comment 4 Quim Gil nokia 2008-11-11 10:01:42 UTC
The trunk development is now on Fremantle and you want any sticky changes such
as this one to be agreed in the Fremantle context. Once agreed there, then
apply to Diablo as well. Otherwise we risk having a quick fix for Diablo and
then finding out thet Fremantle took a new route. I believe Marius is syncing
both but it doesn't harm to double check with Andrey.

The alpha release of the Fremantle application manager is around the corner
(included in the first release of the alpha SDK). Andrey is already in charge
of defining the list of categories for Fremantle. They started working on this
already and now they have to be in sync with the community proposal. This is
why this request is being assigned to him.

Also, if we talk about localization to several languages and this is a work
Nokia needs to do, in reality what bhappens is that the Fremantle program gets
this task, and then the strings are used for Diablo. It's not that we have the
translators somewhere waiting for any text to come and be translated
immediately.
Comment 5 Andre Klapper maemo.org 2009-04-09 15:11:28 UTC
(In reply to comment #4)
> Andrey is already in charge
> of defining the list of categories for Fremantle. They started working on this
> already and now they have to be in sync with the community proposal. This is
> why this request is being assigned to him.

Andrey, what is the status of this?
Comment 6 Andrey Kochanov nokia 2009-04-09 15:43:32 UTC
It has been fixed internally for Fremantle, but what shall be done with it now?
I thought that Marius had already synced it with Diablo, Marius?
Comment 7 Andre Klapper maemo.org 2009-04-09 16:00:09 UTC
Latest AM in Diablo 5.2008.43-7 has lots of categories here (I have some other
repos activated of course), like:
All, Accessoires, Applications, Boingo, cli, Communication, connection,
desktop, etc etc.
Comment 8 Marius Vollmer nokia 2009-04-09 18:05:13 UTC
(In reply to comment #7)
> It has been fixed internally for Fremantle, but what shall be done with it now?
> I thought that Marius had already synced it with Diablo, Marius?

There will be no updates to Diablo anymore, as far as I know.
Comment 9 Ryan Abel (reporter) maemo.org 2009-04-09 20:59:34 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > It has been fixed internally for Fremantle, but what shall be done with it now?
> > I thought that Marius had already synced it with Diablo, Marius?
> 
> There will be no updates to Diablo anymore, as far as I know.
> 

So, basically, we're screwed? Devs are going to have to ship two separate sets
of categories for their packages, and all this work the community put into
getting a new set ready has essentially been wasted.

Who do we need to talk to to get this fixed. Because, as it stands, this is
unacceptable.
Comment 10 Ryan Abel (reporter) maemo.org 2009-04-12 20:34:53 UTC
Really, seriously, this resolution isn't an option here. Stop the silliness,
Nokia, and help us out here.
Comment 11 Marius Vollmer nokia 2009-04-14 10:35:47 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #7)
> > > It has been fixed internally for Fremantle, but what shall be done with it now?
> > > I thought that Marius had already synced it with Diablo, Marius?
> > 
> > There will be no updates to Diablo anymore, as far as I know.
> > 
> 
> So, basically, we're screwed?

Yes, looks like it. :-(

> Who do we need to talk to to get this fixed. Because, as it stands, this is
> unacceptable.

I agree that the current situation is, err, not nice.  We (Nokia) are entirely
too cavalier when it comes to discontinuing software and hardware.  The whole
idea of 'community' seems to be understood only by a few individuals here. 
This is quite sad.

Even if this particular fix would have been released, things wouldn't be much
better.  There still wouldn't be a obvious way forward for Diablo, waiting to
be taken by the people that want to invest the time.


Still, I think the best way forward is for the community to take ownership of
Diablo, and to produce the next release.

Since the http://catalogue.tableteer.nokia.com/updates/diablo/ is, *cough*,
stable now, it can be used as the basis for a community distribution.

Depending on how brave we want to be, it is even feasible now to start offering
new Diablo releases from Maemo Extras.

I think the following could work:

- We start signing Diablo Maemo Extras.

- We put a "maemo-community-archive-keyring" package or something into Diablo 
  Maemo Extras that contains the public key needed to verify the signature.
  It also contains a new "package domain" with a trust level of 600.

  Installing this package will configure the Application manager so that it
  allows updating OS packages from Maemo Extras.

- We start putting new packages into Maemo Extras, such as the new
  Application manager.

- We make release new osso-software-version meta packages or we
  improve the Application Manager to not need meta packages.

If Diablo Maemo Extras doesn't seem to be the right place for this, any other
repository will do as well, of course.
Comment 12 Marius Vollmer nokia 2009-04-14 10:45:15 UTC
(In reply to comment #11)
> The whole idea of 'community' seems to be understood only by a few
> individuals here. 

For the benefit of the lurkers: "the idea of community" that I refer to here
beasically means that it is OK to leave the room, but it is not OK to lock the
door and keep the key when you do that.
Comment 13 Ryan Abel (reporter) maemo.org 2009-04-14 14:41:16 UTC
Alright, there's no point in holding off any longer (since I was waiting for
the patches to ship, but since that's not happening. . . .). Preliminarily
planning on beginning the maintainer spam-storm (also going to address other
Maemo-specific packaging details) around the beginning of May.

The Diablo upgrade path should probably be discussed on -developers.
Comment 14 Andrew Flegg maemo.org 2009-04-14 15:13:20 UTC
(In reply to comment #11)
> 
> Still, I think the best way forward is for the community to take ownership of
> Diablo, and to produce the next release.

Conversation on this taken to
http://lists.maemo.org/pipermail/maemo-developers/2009-April/054564.html
Comment 15 Quim Gil nokia 2009-09-28 09:44:31 UTC
FIXED in Fremantle.